Bug Hunting Session
Bug 69461 - SLIDESHOW: Inserted Movie files show a white screen for about one frame at the start
Summary: SLIDESHOW: Inserted Movie files show a white screen for about one frame at th...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: preBibisect, regression
Depends on:
Blocks: Slide-Show Media
  Show dependency treegraph
 
Reported: 2013-09-17 10:37 UTC by NoWorries
Modified: 2019-01-11 09:38 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Desktop recording of one frame of white before video start (687.58 KB, video/mp4)
2013-09-19 00:18 UTC, NoWorries
Details
presentation with test video (actually first hit for "fade from black" on youtube) (14.95 KB, application/vnd.oasis.opendocument.presentation)
2014-02-05 20:09 UTC, Michael Stahl (CIB)
Details
LO Impress 4.2 with Question Mark before video start (1.48 MB, video/mp4)
2014-02-07 04:55 UTC, NoWorries
Details
presentation with test video (actually first hit for "fade from black" on youtube) (1.91 MB, application/vnd.oasis.opendocument.presentation)
2014-02-07 18:22 UTC, Michael Stahl (CIB)
Details
Screenshot of the white flash (118.61 KB, image/png)
2014-03-26 13:13 UTC, Samuel Mehrbrodt (CIB)
Details
Example Desktop Output from Impress 4.3.0.4 with Flash before Video (260.28 KB, video/mp4)
2014-08-10 04:36 UTC, NoWorries
Details
Example of a 1s White flash produced by advancing to a Slide with a Video (38.19 KB, video/mp4)
2015-12-20 06:47 UTC, NoWorries
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NoWorries 2013-09-17 10:37:51 UTC
Problem description: White flash at the start of a movie slide show

Steps to reproduce:
1. Insert a mp4 video with a black slide preceding the slide with the movie
2. Start a slide show at the black slide before the movie.
3. Advance to the movie slide and look for a brief white flash.

Current behaviour:  Tested this behaviour on both Kubuntu 13.04 and 13.10 and with mp4 and wmv files and all show the behaviour in Step 3

Expected behaviour:  The movie works perfectly except for the white flash at the start of the movie.  

I do not know of any way to show this behaviour other than by the description above.

              
Operating System: Ubuntu
Version: 4.1.1.2 release
Comment 1 NoWorries 2013-09-19 00:18:20 UTC
Created attachment 86117 [details]
Desktop recording of one frame of white before video start

This attachment shows one white frame after advancing to a video file. It was recorded using RecordMyDesktop, converted to an mp4 file and edited with Avidemux to show the section where the white frame appears.

I find this feature particularly embarrassing when I use OO Presentations before an audience.  Please - please fix this problem soon.
Comment 2 NoWorries 2013-09-19 00:24:25 UTC
Plese accept my apology for using the OO abbreviation instead of LO.  I hope I don't make this mistake again.
Comment 3 ign_christian 2013-09-26 07:14:35 UTC
Hello.. please let status UNCONFIRMED while filing new bug. Someone (other than reporter) with same or newer version will mark NEW if he/she can confirm that problem.

I can't reproduce with LO 4.0.5.2 (Win7 32bit), so let someone confirm that.
Comment 4 NoWorries 2013-09-28 01:11:38 UTC
I agree that this bug was not present in the 4.0 versions and I only noticed it in LO Presentation Version 4.1.2.2.  I have just tried with a blank first slide in black and added a second slide with an mp4 video inserted.  I used F5 to view the presentation and when I advanced to the video slide, it gave the flash of a white screen just before the video was played.

I do not have access to a MS Windows system.  I observe this problem on Kubuntu 13.10 and Kubuntu 13.04.
Comment 5 Robinson Tryon (qubit) 2013-10-16 01:33:45 UTC
CONFIRMED on Ubuntu 12.04.3 + LO 4.1.2.3

Steps:
0. Download the test video attached to this bug.
1. Open LO Impress
2. Set bg color of first slide to black
3. Insert new slide
4. On slide #2 add test video using the 'Insert Movie' button present in the middle of the slide
5. Run presentation by pressing 'F5'
6. Advance to 2nd slide by pressing spacebar; The screen will briefly flash white as reported by OP
Comment 6 Alex Teichman 2013-11-13 04:03:54 UTC
I too am being affected by this bug.  It actually makes a particular presentation of mine physically painful to watch, and this makes me sad.  Strangely, when advancing backwards through the slides, the white flash shows up less frequently.

Ubuntu 12.04.3 LTS

LibreOffice 3.5.7.2 
Build ID: 350m1(Build:2)

Does anyone have a workaround?  Thanks.
Comment 7 Michael Stahl (CIB) 2014-02-05 20:09:21 UTC
Created attachment 93489 [details]
presentation with test video (actually first hit for "fade from black" on youtube)
Comment 8 Michael Stahl (CIB) 2014-02-05 20:11:01 UTC
with test video from previous comment i'm seeing white flash
in versions 4.1.0.4, 4.0.0.3, 3.6.7.2, 3.5.7.2, 3.5.0.3
but not in 3.4.6.

presumably this bug is in the Linux-specific GStreamer video backend.
Comment 9 NoWorries 2014-02-07 04:55:46 UTC
Created attachment 93582 [details]
LO Impress 4.2 with Question Mark before video start

If gstreamer is to blame for this bug, then why does LO impress 4.2 give a different pre-video with a question mark rather than a 1 frame flash?
Comment 10 NoWorries 2014-02-07 04:57:31 UTC
When I tried to open your attachment https://bugs.freedesktop.org/attachment.cgi?id=93489 I was not able to see the video.  All I got was a box with a sound symbol. This is because on you system LO Impress loads the video.  It is not inbeded in LO Impress.  If I want to show what is happening, with LO Impress, I use the application recordmydesktop to record the LO Impress screen output.  This package saves an ogv file which can be converted to an mp4 format.  I use the command:

ffmpeg -i out.ogv -vcodec libx264 -vpre medium -crf 24 -threads 0 -acodec libfaac out.mp4

I then use avidemux to edit the file and remove start and end bits that are not necessary.

My understanding is that LO is primarily for Linux systems.  I does require gstreamer to work and for this I install gst123 to get all the gstreamer packages.  So I think that LO developers should make sure that they interface correctly with gstreamer. I have always been disappointed that the installation of LO does not include the gstreamer dependencies.

Now to show how LO Impress does not correctly interface with gstreamer, you will find that LO 4.2 gets worse in this regard.  You now get a large question mark for about 47 video frames before the start of the video.

The attached video was recorded using the above method
Comment 11 Michael Stahl (CIB) 2014-02-07 18:21:13 UTC
Comment on attachment 93489 [details]
presentation with test video (actually first hit for "fade from black" on youtube)

*facepalm* being a complete idiot i forgot to actually _embed_ the video
Comment 12 Michael Stahl (CIB) 2014-02-07 18:22:23 UTC
Created attachment 93625 [details]
presentation with test video (actually first hit for "fade from black" on youtube)
Comment 13 Michael Stahl (CIB) 2014-02-07 18:23:59 UTC
(In reply to comment #9)
> 
> If gstreamer is to blame for this bug, then why does LO impress 4.2 give a
> different pre-video with a question mark rather than a 1 frame flash?

i'm not blaming GStreamer itself but the code in LO's avmedia module that interfaces with GStreamer.
Comment 14 NoWorries 2014-02-08 04:53:30 UTC
(In reply to comment #13)
> (In reply to comment #9)
> > 
> > If gstreamer is to blame for this bug, then why does LO impress 4.2 give a
> > different pre-video with a question mark rather than a 1 frame flash?
> 
> i'm not blaming GStreamer itself but the code in LO's avmedia module that
> interfaces with GStreamer.

Thanks for fixing up your attachment as, on my system, I can definitely see the one frame flash before the start of the movie.

I look forward to this problem being fixed, particularly for LO Impress 4.2. I have presentations which involve movie insertions at times.  So, with current video projector response times, the 4.1 flash is less obvious than the 1 second question in 4.2.
Comment 15 NoWorries 2014-02-24 02:56:21 UTC
I now have LO version 4.2.1.1 installed on Kubuntu 14.04 and I repeated my test to see if the "Question Mark" still existed before the start of a video using Impress.  Unfortunately, it is still present but it now lasts about half the time.  I counted the number of frames using Avidemux on a converted video file made by RecordMyDesktop.

The Question Mark on LO Impress 4.2 lasts 43 frames
The Question Mark on LO Impress 4.2.1 lasts 26 frames.

I know a lot of improvements have been made with 4.2.1, however I cannot use it until this "Question Mark" is removed.

My reason for wanting this fixed ASAP is that I use my Laptop for projection on a regular basis.  Because of the quality of my presentations, I am used in preference to those who use Power Point on a MS Windows system.  I use every opportunity to quietly demonstrate the capabilities of Linux. The lates version of LO does not help in this regard.
Comment 16 NoWorries 2014-03-17 01:27:23 UTC
This bug is still present in version 4.2.1.1 on Kubuntu 14.04.  I used this version last Sunday and I had 3 mp4 videos to display in public.  I received one comment about a flash before the start of the videos and I said that I had already filed a bug report regarding this over a month ago.  I just checked and it is now 6 months!!!!!!!!!!!!!!!!!

I am disappointed that nothing has been done to remove this bug and I hope it is fixed soon as this would have to be the most annoying problem that I have with LibreOffice Impress when doing presentations.
Comment 17 retired 2014-03-17 11:10:50 UTC
While I understand your frustration, please realize there are close to 9k existing open bugs.

It is impossible to fix them all. Even in 6 months. You may raise the incentives and put some cash onto this bug on freedomsponsors.com or learn to code and contribute a patch or find a dev willing to contribute a fix.

I honestly hope this will soon be tackled but there are far to few devs to deal with even all the important bugs only.
Comment 18 NoWorries 2014-03-18 09:42:48 UTC
Thank-you for letting me know the current situation and I now know that you have a truckload of Bugs to fix.

From my perspective, I put Bugs into 2 categories.  Those that can be worked around and those that cannot be worked around.

I have encountered a number of Bugs that can be worked around.  One is that when I inserted a ppt file, Impress would crash!   I overcame this by converting the ppt file to an odp format before inserting it.  Thankfully this problem no longer exists but I did find a work around!

In the case of the flash before the start of a video, I cannot find any work around.  Because of this, I therefore consider it a higher priority than those bugs that can be worked around.

I hope you take the above factors into consideration when prioritising the 9K of bugs.
Comment 19 NoWorries 2014-03-19 02:54:23 UTC
NoWorries March 18, 2014 at 9:23 am	

    Your comment is awaiting moderation.

    I care about getting this fixed, so I’m offering USD 200.00 via FreedomSponsors to the first person who fix it.

    Offer link: http://www.freedomsponsors.org/core/issue/468/slideshow-inserted-movie-files-show-a-white-screen-for-about-one-frame-at-the-start

    You can also join me and throw in a few bucks there and we’ll get it fixed faster :)

    If you fix this issue (see my acceptance criteria there) please use that site to request your payment.
Comment 20 Samuel Mehrbrodt (CIB) 2014-03-21 17:46:05 UTC
Could this be related with the VLC integration?
Comment 21 NoWorries 2014-03-25 06:38:25 UTC
I am not sure what is meant by "VLC Integration" with LO Impress.  I did remove all packages that related to VLC and tried to see if that removed the flash.  It made no difference and the flash was still present.  BTW VLC does not give any flash before the start of a video.  Also, Avidemux shows no white frame before the start of a video as does LO Impress.

If you need further proof of this problem, Sunday before last, I used my Laptop for Projection at a Church that I attend.  The service was recorded and I could cut out the section where the problem is evident in the recording.
Comment 22 Alex Teichman 2014-03-25 06:49:59 UTC
Hi,

I just want to say that I really care about this issue too and have added what I can to the bounty opened by NoWorries.  I've got an upcoming PhD defense that would be greatly improved by a fix...
Comment 23 NoWorries 2014-03-26 11:14:31 UTC
Thanks for your support on this issue and your contribution.  I am still surprised that the developers do not realize how embarrassing this problem is to those using LO Impress for a presentation with movies included.
Comment 24 Samuel Mehrbrodt (CIB) 2014-03-26 13:13:02 UTC
I just tested this on Windows and there the issue does not appear.
When you add a slide transition to the second slide, you can see that the white flash is actually an image with a question mark on it (see attached screenshot). So it seems that LO tries to render a preview image before starting the video.
Comment 25 Samuel Mehrbrodt (CIB) 2014-03-26 13:13:36 UTC
Created attachment 96414 [details]
Screenshot of the white flash
Comment 26 Samuel Mehrbrodt (CIB) 2014-03-26 17:14:50 UTC
I have sumitted a patch at https://gerrit.libreoffice.org/8765/ which fixes the problem I mentioned in Comment 24. But there is another problem: The white flash is still there. 

This method call leads to the white flash: http://opengrok.libreoffice.org/xref/core/slideshow/source/engine/shapes/viewmediashape.cxx#467
Comment 27 NoWorries 2014-03-26 23:58:14 UTC
I have found that, for LO Impress version 4.2.3.1, the large Question mark in you example is given.  This has a longer duration (about 47 frames) than the white flash that is present in version 4.2.2.1.  Therefore, my impression is that there have been some code changes between these versions that changed the pre-video "Flash" and made it worse.
Comment 28 Samuel Mehrbrodt (CIB) 2014-03-27 07:07:55 UTC
@NoWorries: Yes, the question mark came in version 4.2 (with this change: http://cgit.freedesktop.org/libreoffice/core/commit/?id=507c1c9905ce02c376be4e57a937cde8d01d2c26)
Comment 29 NoWorries 2014-04-01 00:42:05 UTC
Looks like more changes have happened.  I now have 4.2.3.2 and the large Question mark before the video in 4.2.3.1 is now a brief white flash as before.

You may now notice that the large Question mark is behind the video in the Impress control window.  In this window, the video is displaced to the left and up as before.  The light grey box enclosing the Question Mark is correctly located in the box showing the displayed image.

It will be interesting to see what changes are made in this area when 4.2.3.3 is released.
Comment 30 Alex Teichman 2014-04-11 23:56:01 UTC
Previously, I was using 3.5.7.2 and saw a brief white flash.  I've just tried with 4.2.3.3, Build Id 420m0(Build:3), and am now seeing a somewhat long display of a question mark, sometimes combined with a white flash, before my videos start playing.
Comment 31 Alex Teichman 2014-04-21 03:46:07 UTC
By the way, I opened a question related to this at ask.libreoffice.org:

http://ask.libreoffice.org/en/question/32951/jarring-white-flash-before-video-playback-in-impress/
Comment 32 NoWorries 2014-08-10 04:36:15 UTC
Created attachment 104367 [details]
Example Desktop Output from Impress 4.3.0.4 with Flash before Video

Desktop recording startin with a "Title Slide" followed by advancing to the next slide with a video.  There are 9 frames of white before the start of the video.
Comment 33 QA Administrators 2015-09-04 02:49:40 UTC Comment hidden (obsolete)
Comment 34 NoWorries 2015-09-29 11:14:02 UTC
I currently have LibreOffice Version 5.0.1.2 and I am very impressed with the improvements that have been made.

I still find that there is a white flash at the start of playing a video file in Impress.  I am sure that if I had a white background I would not notice it.  I always operate with a black background and it is therefore noticeable.

In a previous release of LibreOffice, I noticed that the flash was not present but a short section of the video was played and then played again in the video.

I do not know the coding details of this package, but I would prefer if the background colour was used to fill in the start-up of the video.  I get the impression that a visual section is required at the startup of a video.

I should mention that I am testing this on Kubuntu 14.10 which is currently in its final beta.  I have Kubuntu 14.04 with LibreOffice 5.0.2.2 and there is a brief flash with this package as well.  I must say that it is very short and could be missed by some.
Comment 35 Puggan SE 2015-10-21 21:57:54 UTC
bibisecting the "presentation with test video" using 44max, 
I got the conclutions that:

A: source-hash-2e69b60cc2abb8e0a6773e101c03050c57a12ca3
dont know how to handle video/webm

B: source-hash-da4a5fa517a7379da84bf7d514eafe2c721246d3
Has that white box
Comment 36 NoWorries 2015-10-22 09:38:05 UTC
(In reply to NoWorries from comment #34)
> I currently have LibreOffice Version 5.0.1.2 and I am very impressed with
> the improvements that have been made.
> 
> I still find that there is a white flash at the start of playing a video
> file in Impress.  I am sure that if I had a white background I would not
> notice it.  I always operate with a black background and it is therefore
> noticeable.
> 
> In a previous release of LibreOffice, I noticed that the flash was not
> present but a short section of the video was played and then played again in
> the video.
> 
> I do not know the coding details of this package, but I would prefer if the
> background colour was used to fill in the start-up of the video.  I get the
> impression that a visual section is required at the startup of a video.
> 
> I should mention that I am testing this on Kubuntu 15.10 which is currently
> in its final beta.  I have Kubuntu 15.04 with LibreOffice 5.0.2.2 and there
> is a brief flash with this package as well.  I must say that it is very
> short and could be missed by some.

Oops, I got my year wrong.  I should have said Kubuntu 15.10 in both cases and I have now changed it above.
Comment 37 Robinson Tryon (qubit) 2015-12-14 05:33:50 UTC Comment hidden (obsolete)
Comment 38 NoWorries 2015-12-20 06:47:57 UTC
Created attachment 121419 [details]
Example of a 1s White flash produced by advancing to a Slide with a Video

This attachment was created using RecordMyDesktop to record the image from an Impress Slide Show with a black Slide followed by a Slide with an mp4 Video inserted.

The ogv file from RecordMyDesktop was edited using Kdenlive to select only the section about the white flash which, in this case, lasts 19 frames, or 1s.  The attached file is the rendered output from Kdenlive.
Comment 39 NoWorries 2015-12-20 07:03:01 UTC
When I use LibreOffice Impress to insert a mp4 video using:

Insert > Media > Audio or Video

I get a white flash when I do a Slide Show and advance to the video, which is full screen.  This problem is evident in Kubuntu 14.04, 15.10, 16.04 and for LibreOffice Impress 5.0.2.2 and 5.0.3.2.

I reported this problem over 2 years ago and I hope that a solution can be found VERY SOON!!!

To lessen the annoyance of this artefact, I now add a slide before the video which has a near white background.
Comment 40 Joel Madero 2015-12-20 07:12:03 UTC
> I reported this problem over 2 years ago and I hope that a solution can be
> found VERY SOON!!!
> 
> To lessen the annoyance of this artefact, I now add a slide before the video
> which has a near white background.

We don't give ETAs and a fix will entirely rely on a volunteer wanting to fix it. It could be tomorrow (unlikely) it could be 2 more years.

From what I can tell there is no need for additional test files. 

A bibisect would be nice though and would actually help move the bug forward: 

https://wiki.documentfoundation.org/QA/Bibisect/Linux
Comment 41 mgundogdu 2017-04-28 06:59:16 UTC
I think same issue here. Please add start/pause and click to start option for slide show.
https://bugs.documentfoundation.org/show_bug.cgi?id=34940
Comment 42 mgundogdu 2017-04-28 07:01:18 UTC
I think same issue here. Please add start/pause and click to start option for slide show.
https://bugs.documentfoundation.org/show_bug.cgi?id=107349
Comment 43 Xisco Faulí 2017-06-12 11:05:23 UTC
Changing version back to the earliest version affected.